Version française
Home     About     Download     Resources     Contact us    
Browse thread
interface mismatch on camlp4_import
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: Jérémie Dimino <jeremie@d...>
Subject: Re: [Caml-list] interface mismatch on camlp4_import
Joel Reymont wrote:
> Camlp4: Uncaught exception: DynLoader.Error ("/usr/local/lib/ocaml/ 
> site-lib/ocsigen/xhtmlsyntax.cma", "interface mismatch on  
> Camlp4_import")
> 
> What does this mean and how do I fix it?

This means that xhtmlsyntax.cma requires a different version of the
Camlp4_import module than the one installed on your system (you can
verify that with ocamlobjinfo).

This may happen if you compiled ocsigen with a different ocaml version
than the one you are using now. Recompiling and reinstalling ocsigen
should fix this error.

Cheers,
Jérémie